> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eazecustoms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Adjust an allocation

> Adjust an allocation. INTERNAL allocations only accept hawbId, packageCount, and grossWeightKg.

Adjust an allocation. An INTERNAL allocation (from MRN sync) only accepts `hawbId`, `packageCount`, and `grossWeightKg`; other fields are ignored for it.

### Path Parameters

<ParamField path="id" type="string" required>
  Shipment Public ID (`shp_…`).
</ParamField>

<ParamField path="allocationId" type="string" required>
  Allocation Public ID (`alc_…`).
</ParamField>

### Body

<ParamField body="hawbId" type="string">
  HAWB Public ID (`hawb_…`). Set to `null` to move the allocation to the master AWB.
</ParamField>

<ParamField body="packageCount" type="integer">
  Updated package count.
</ParamField>

<ParamField body="grossWeightKg" type="number">
  Updated gross weight in kilograms.
</ParamField>

<ParamField body="declarationProcedureType" type="string">
  Updated procedure type (EXTERNAL allocations only).
</ParamField>

<ParamField body="customsDeclarationType" type="string">
  Updated customs declaration type (EXTERNAL allocations only).
</ParamField>

<ParamField body="customsDeclarationNumber" type="string">
  Updated customs declaration number (EXTERNAL allocations only).
</ParamField>

```json JSON Payload theme={null}
{
  "packageCount": 3,
  "grossWeightKg": 30
}
```

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "allocationId": "alc_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
    "shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
    "hawbId": "hawb_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
    "source": "EXTERNAL",
    "declarationId": null,
    "declarationProcedureType": "H1",
    "customsDocumentType": "X",
    "customsDeclarationType": "IM",
    "customsDeclarationNumber": "26NL12345678901234",
    "packageCount": 3,
    "grossWeightKg": 30,
    "isActive": true,
    "createdAt": "2026-06-10T08:30:00.000Z",
    "updatedAt": "2026-06-10T09:00:00.000Z"
  }
  ```
</ResponseExample>
